gtkmm 2.4: Gdk::PixbufFormat Class Reference

Main Page Widgets Namespaces Book

# Gdk::PixbufFormat Class Reference

List of all members.

## Public Member Functions
Glib::ustring | get_description () const
| Returns a description of the format.
Glib::StringArrayHandle | get_extensions () const
| Returns the filename extensions typically used for files in the given format.
Glib::ustring | get_license () const
| Returns information about the license of the image loader for the format.
Glib::StringArrayHandle | get_mime_types () const
| Returns the mime types supported by the format.
Glib::ustring | get_name () const
| Returns the name of the format.
const GdkPixbufFormat* | gobj () const
| Provides access to the underlying C GObject.
GdkPixbufFormat* | gobj ()
| Provides access to the underlying C GObject.
bool | is_disabled () const
| Returns whether this image format is disabled.
bool | is_scalable () const
| Returns whether this image format is scalable.
bool | is_writable () const
| Returns whether pixbufs can be saved in the given format.
PixbufFormat& | operator= (const PixbufFormat& src)
| PixbufFormat (const PixbufFormat& src)
| PixbufFormat (const GdkPixbufFormat* gobject)
| PixbufFormat ()
void | set_disabled (bool disabled=true)
| Disables or enables an image format.
virtual | ~PixbufFormat ()
## Protected Attributes
const GdkPixbufFormat* | gobject_

## Constructor & Destructor Documentation

Gdk::PixbufFormat::PixbufFormat | ( |  | ) |

Gdk::PixbufFormat::PixbufFormat | ( | const GdkPixbufFormat * | gobject | ) | `[explicit]`

virtual Gdk::PixbufFormat::~PixbufFormat | ( |  | ) | `[virtual]`

Gdk::PixbufFormat::PixbufFormat | ( | const PixbufFormat& | src | ) |

## Member Function Documentation

Glib::ustring Gdk::PixbufFormat::get_description | ( |  | ) | const

Returns a description of the format.

Returns:
  A description of the format.

Since gtkmm 2.2:

Glib::StringArrayHandle Gdk::PixbufFormat::get_extensions | ( |  | ) | const

Returns the filename extensions typically used for files in the given format.

Returns:
  A `0`-terminated array of filename extensions which must be freed with Glib::strfreev() when it is no longer needed.

Since gtkmm 2.2:

Glib::ustring Gdk::PixbufFormat::get_license | ( |  | ) | const

Returns information about the license of the image loader for the format.

The returned string should be a shorthand for a wellknown license, e.g. "LGPL", "GPL", "QPL", "GPL/QPL", or "other" to indicate some other license.

Returns:
  A string describing the license of format .

Since gtkmm 2.6:

Glib::StringArrayHandle Gdk::PixbufFormat::get_mime_types | ( |  | ) | const

Returns the mime types supported by the format.

Returns:
  A `0`-terminated array of mime types which must be freed with Glib::strfreev() when it is no longer needed.

Since gtkmm 2.2:

Glib::ustring Gdk::PixbufFormat::get_name | ( |  | ) | const

Returns the name of the format.

Returns:
  The name of the format.

Since gtkmm 2.2:

const GdkPixbufFormat* Gdk::PixbufFormat::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GdkPixbufFormat* Gdk::PixbufFormat::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

bool Gdk::PixbufFormat::is_disabled | ( |  | ) | const

Returns whether this image format is disabled.

See gdk_pixbuf_format_set_disabled().

Returns:
  Whether this image format is disabled.

Since gtkmm 2.6:

bool Gdk::PixbufFormat::is_scalable | ( |  | ) | const

Returns whether this image format is scalable.

If a file is in a scalable format, it is preferable to load it at the desired size, rather than loading it at the default size and scaling the resulting pixbuf to the desired size.

Returns:
  Whether this image format is scalable.

Since gtkmm 2.6:

bool Gdk::PixbufFormat::is_writable | ( |  | ) | const

Returns whether pixbufs can be saved in the given format.

Returns:
  Whether pixbufs can be saved in the given format.

Since gtkmm 2.2:

PixbufFormat& Gdk::PixbufFormat::operator= | ( | const PixbufFormat& | src | ) |

void Gdk::PixbufFormat::set_disabled | ( | bool | disabled = `true` | ) |

Disables or enables an image format.

If a format is disabled, gdk-pixbuf won't use the image loader for this format to load images. Applications can use this to avoid using image loaders with an inappropriate license, see gdk_pixbuf_format_get_license().

Since gtkmm 2.6:

Parameters:

  | disabled | `true` to disable the format format .

## Member Data Documentation

const GdkPixbufFormat* Gdk::PixbufFormat::gobject_`[protected]`

The documentation for this class was generated from the following file:

- pixbufformat.h